<?
include_once("./_common.php"); 

/* 신고관리 */

if(!$is_member) alert_close("회원만 이용 할 수 있습니다. 로그인 하시기 바랍니다.");
if(!$report || !$wrid) alert_close("잘 못된 호출입니다. \\n신고를 위한 정보가 부족합니다. 다시 시도 해 주세요.");

//-- 쪽지 신고면 쪽지 정보를 읽는다. ------------
if($report == "memo") {
	$rd		= sql_fetch("select me_memo, me_id, me_send_mb_id from $g4[memo_table] where me_id='$wrid'");
	if(!$rd[me_id]) alert_close("신고하려는 대상이 삭제 되었거나 정보가 정확하지 않습니다.");
	$block_id	= $rd[me_send_mb_id];

	$table		= $g4[memo_table];
}

//-- 게시판 신고면 게시판 정보를 읽는다. --------
if($report == "bbs") {
	$rd		= sql_fetch("select wr_id, wr_subject, mb_id from $write_table where wr_id='$wrid'");
	if(!$rd[wr_id]) alert_close("신고하려는 대상이 삭제 되었거나 정보가 정확하지 않습니다.");
	$block_id	= $rd[mb_id];

	$table		= $bo_table;
}
$recordno	= $wrid;
$now		= date("Y-m-d H:i:s", $g4[server_time]);

//-- 신고 등록하기 --------------------------------------------------------------------------------
if($mode == "") {
	//-- 서비스 이용제한 조건
	$r_tmp1	= explode("/", $zm_config[report_level1]);
	$r_tmp2	= explode("/", $zm_config[report_level2]);
	$r_tmp3	= explode("/", $zm_config[report_level3]);
	$r_tmp4	= explode("/", $zm_config[report_level4]);

	$str_why_report	= $why_report[$in_why_report];
	if($in_why_report == "7") $str_why_report	= $in_why_report_etc;

	//-- 신고등록
	$res	= sql_query("insert into $zmb[table_blacklist_report] set db_block_id='$block_id', db_report_id='$member[mb_id]', db_table='$table', db_wrid='$wrid', db_why_report='$str_why_report', db_datetime='$now'");

	//-- 서비스 제한 대상인가? 블랙리스트
	$res		= sql_fetch("select * from $zmb[table_blacklist_mem] where db_block_id='$block_id'");
	$tot_rpt	= $res[db_report_count] + 1;
	
	$addInfo	= "";
	$rpt_end	= "";					//-- 서비스 이용제한 마감 날짜
	$rpt_write	= "";					//-- 글쓰기 이용 제한
	$rpt_memo	= "";					//-- 쪽지 이용 제한
	$rpt_flag	= "";					//-- 영구정지 표시
	if($tot_rpt >= $r_tmp1[0]) {		//-- 1단계 해당 되는가?
		$rpt_end	= date("Y-m-d H:i:s", $g4[server_time]+(86400 * $r_tmp1[1]));
		$rpt_write	= $r_tmp1[2];
		$rpt_memo	= $r_tmp1[3];
	}
	if($tot_rpt >= $r_tmp2[0]) {		//-- 2단계 해당 되는가?
		$rpt_end	= date("Y-m-d H:i:s", $g4[server_time]+(86400 * $r_tmp2[1]));
		$rpt_write	= $r_tmp2[2];
		$rpt_memo	= $r_tmp2[3];
	}
	if($tot_rpt >= $r_tmp3[0]) {		//-- 3단계 해당 되는가?
		$rpt_end	= date("Y-m-d H:i:s", $g4[server_time]+(86400 * $r_tmp3[1]));
		$rpt_write	= $r_tmp3[2];
		$rpt_memo	= $r_tmp3[3];
	}
	if($tot_rpt >= $r_tmp4[0]) {		//-- 4단계 해당 되는가?
		$rpt_end	= date("Y-m-d H:i:s", $g4[server_time]+(86400 * $r_tmp4[1]));
		$rpt_write	= $r_tmp4[2];
		$rpt_memo	= $r_tmp4[3];
		$rpt_flag	= 1;
	}
	$block_service	= $rpt_write . "/" . $rpt_memo;
	$addInfo	= ", db_block_end='$rpt_end', db_block_service='$block_service', db_flag='$rpt_flag'";

	//-- 블랙리스트에 누적 신고 개수 증가한다.
	if($res[db_block_id])	sql_query("update $zmb[table_blacklist_mem] set db_report_count='$tot_rpt' $addInfo where db_block_id='$block_id'");
	else			sql_query("insert into $zmb[table_blacklist_mem] set db_block_id='$block_id', db_report_count=1 $addInfo");

	//-- 블라인드 대상 게시물이면 블라인드 bbs테이블에 등록
	$blindcnt		= zm_reportcount($table, $wrid);
	if($blindcnt >= $zm_config[bbsreport]) {
		//-- 누적 신고 된 개수
		$rep_cnt	= sql_fetch("select count(db_recno) as cnt from $zmb[table_blacklist_report] where db_table='$table' and db_wrid='$wrid'");

		sql_query("insert into $zmb[table_blacklist_bbs] set db_table='$table', db_wrid='$wrid', db_blockdate='$now', db_report_count='$rep_cnt[cnt]'");

		//-- 비회원이 작성한 글이면 신고 게시판의 신고 레코드는 삭제
		if(!$block_id) sql_query("delete from $zmb[table_blacklist_report] where db_table='$table' and db_wrid='$wrid'");
	}

	alert_close("신고가 접수되었습니다.");
}

//-- 관리자의 의한 임의 블라인드 처리 -------------------------------------------------------------
if($mode == "instantly") {
	$rd		= sql_fetch("select wr_id, wr_subject, mb_id from $write_table where wr_id='$wrid'");
	if(!$rd[wr_id]) alert_close("신고하려는 대상이 삭제 되었거나 정보가 정확하지 않습니다.");
	$block_id	= $rd[mb_id];

	//-- 이미 누적 신고 된 개수
	$rep_cnt	= sql_fetch("select count(db_recno) as cnt from $zmb[table_blacklist_report] where db_table='$table' and db_wrid='$wrid'");

	sql_query("insert into $zmb[table_blacklist_bbs] set db_table='$table', db_wrid='$wrid', db_blockdate='$now', db_report_count='$rep_cnt[cnt]'");

	//-- 비회원이 작성한 글이면 신고 게시판의 신고 레코드는 삭제
	if(!$block_id) sql_query("delete from $zmb[table_blacklist_report] where db_table='$table' and db_wrid='$wrid'");

	alert_close("해당글을 블라인드 했습니다.");
}
?>
